Skip to main content
GET
Get Loyalty Rule Statuses

Authorizations

X-API-KEY
string
header
required

Query Parameters

organizationId
string<uuid>

Unique identifier for the organization

Example:

"123e4567-e89b-12d3-a456-426614174001"

websiteId
string<uuid>

Unique identifier for the website

Example:

"123e4567-e89b-12d3-a456-426614174002"

walletAddress

Wallet address(es) to filter accounts by

Example:
userId

User ID(s) to filter accounts by

Example:
userGroupId
string<uuid>
userGroupExternalIdentifier
string
loyaltyRuleId

Unique identifier(s) for the loyalty rule(s). Accepts a single ID or an array (up to 100); for larger sets, batch requests to avoid URL length limits.

Example:

"123e4567-e89b-12d3-a456-426614174030"

limit
number | null
default:10

Number of items to return

Required range: x <= 100
Example:

10

startingAfter
string

Starting after item

Example:

"123e4567-e89b-12d3-a456-426614174001"

Response

200

data
object[]
required
hasNextPage
boolean
required